package net.northking.cctp.se.script;

import java.util.ArrayList;
import java.util.List;

/**
 * 脚本步骤
 */
public class ScriptStep
{
  private String id;

  /**
   * 是否注释掉
   */
  private boolean skip;

  /**
   * 组件库名称
   */
  private String componentLib;

  /**
   * 组件命令
   */
  private String command;


  public boolean isSkip() {
    return skip;
  }

  public void setSkip(boolean skip) {
    this.skip = skip;
  }

  public String getComponentLib() {
    return componentLib;
  }

  public void setComponentLib(String componentLib) {
    this.componentLib = componentLib;
  }

  public String getCommand() {
    return command;
  }

  public void setCommand(String command) {
    this.command = command;
  }

  private List<ScriptStep> children = new ArrayList<>();

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public List<ScriptStep> getChildren()
  {
    return children;
  }

  public void setChildren(List<ScriptStep> children)
  {
    this.children = children;
  }
}
